import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.BoxLayout;
import java.awt.Color;
import javax.swing.border.EmptyBorder;
import javax.swing.*;
import java.awt.*;
import java.util.*;

public class AudioProject{
	public static void main(String[] args){
		MainFrame mFrame = new MainFrame();
		mFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mFrame.setVisible(true);
	}

	public static void Instrucciones(){
		InstruccionesFrame iFrame = new InstruccionesFrame();
		iFrame.setVisible(true);
	}
}

class MainFrame extends JFrame {
	AudioProjectPanel actionPanel;

	public MainFrame(){
		setTitle("VowelMe");
		setSize(800, 600);
		actionPanel = new AudioProjectPanel();
		actionPanel.setSize(800, 560);
		actionPanel.setBackground(Color.WHITE);
		JMenuBar menuBar = createMenuBar();
		setJMenuBar(menuBar);
		add(actionPanel);
	}

	private JMenuBar createMenuBar(){
		ConfigMenuListener configListener = new ConfigMenuListener(actionPanel);
		PlayMenuListener playListener = new PlayMenuListener(actionPanel);

		JMenuBar mb = new JMenuBar();
	
		JMenu menu = new JMenu("Inicio");
		mb.add(menu);

		JMenuItem menuItem = new JMenuItem("Comenzar");
		menuItem.addActionListener(playListener);
		menu.add(menuItem);
	
		menuItem = new JMenuItem("Reiniciar");
		menuItem.addActionListener(playListener);
		menu.add(menuItem);

		menu = new JMenu("Opciones");
		mb.add(menu);

		menuItem = new JMenuItem("Probar Microfono");
		menuItem.addActionListener(configListener);
		menu.add(menuItem);

		menuItem = new JMenuItem("Cambiar tiempo de grabación");
		menuItem.addActionListener(configListener);
		menu.add(menuItem);

		menu = new JMenu("Ayuda");
		mb.add(menu);

		menuItem = new JMenuItem("Instrucciones");
		menuItem.addActionListener(configListener);
		menu.add(menuItem);

		return mb;
	}
}

class InstruccionesFrame extends JFrame{
	public InstruccionesFrame(){
		setTitle("Instrucciones");
		setSize(560, 500);

		ImagePanel mem = new ImagePanel("Instrucciones.png");
		mem.setBackground(Color.WHITE);
		this.add(mem);
	}
}
