import java.util.Scanner;
import java.io.PrintStream;
import java.io.*;

public class WhichVowel{	
	public static String getVowel() {
		int N = 8000;
		int order = 15;
		float sum= 0;
		float[] signal = new float[N];
		Scanner s = getScanner("s.txt");
		float[] lpc = new float[order];
		double[] lpc_d = new double[order];
		double[] filter = new double[N];
		FileOutputStream fop = null;
		File file;
		String espacio = "\n";
		int[] formant = new int[2];
		int range = 200;
		String retorno;
		
        for (int i = 0; i < N; i++) {
            signal[i] = s.nextFloat();
            sum = sum + signal[i];
        }
        
        for(int i=0;i<order;i++){
			lpc[i] = LPC.getLPC( signal,order,i);
    	}
    	
    	for(int i=0;i<order;i++){
			lpc_d[i] = (double) lpc[i];
    	}
    	
    	filter = Freqz.calc_freqz(lpc_d,N);
		
		retorno = "No vowel recognized";
    	if(Deteccion.reconocer_a(filter,N)) {
			retorno = "A";
		}
			
		if(Deteccion.reconocer_e(filter,N)) {
			retorno = "E";
		}

		if(Deteccion.reconocer_i(filter,N)) {
			retorno = "I";
		}

		if(Deteccion.reconocer_o(filter,N)) {
			retorno = "O";
		}

		if(Deteccion.reconocer_u(filter,N)) {
			retorno = "U";
		}
		return retorno;
	}
  
	private static Scanner getScanner(String filename){
    	Scanner s=null;
    	try {
       		s = new Scanner(new File(filename));
    	} catch(FileNotFoundException e) {
      		System.out.println("Error with file "+filename+":"+e.getMessage());
      		System.exit(-1);
    	} 
    	return s;
  	}
}
